/**
 * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */

const getFieldsFromSchema = (schema) => {
	const dbFields = [];

	for (const [label, property] of Object.entries(schema)) {
		if (property.writeOnly || label.startsWith('x-')) {
			continue;
		}

		let value = label;

		if (property.extensions && property.extensions['x-parent-map']) {
			value = property.extensions['x-parent-map'] + '_' + label;
		}

		const field = {label, value};

		dbFields.push(field);
	}

	return dbFields;
};

export default getFieldsFromSchema;
